# 🌟 Streamlit Material-UI Form Example 🌟

Welcome to the ultimate guide for creating stunning Material-UI components in Streamlit applications! Inspired by the amazing [streamlit-elements](https://github.com/okld/streamlit-elements) by okld, this repository takes your Streamlit apps to the next level.

## 📝 Description

Dive into a comprehensive implementation of Material-UI components for Streamlit. This project builds upon the innovative integration approach pioneered by streamlit-elements, offering a wide range of Material-UI elements with full callback support. Create sophisticated web interfaces within your Streamlit applications effortlessly!

## 🚀 Features

- **Comprehensive Material Design Components**:
  - ✏️ Text input fields
  - 🔘 Selection chips
  - 🔍 Autocomplete with multiple selection
  - 📻 Radio button groups
  - 🎚️ Sliders
  - ☑️ Checkbox groups
  - ⭐ Rating component
  - 📂 Dropdowns
  - 🔄 Switches
  - 🖌️ Styled buttons
- **Organized Layout**:
  - 🗂️ Cards
  - ➖ Dividers
- **Full Callback Support** for all components
- **State Management** through session state

## 💡 How It Works

All component callbacks are automatically stored in **from streamlit_mui_elements.core.events import event_store.

To force rerun use type=submit with your respective elements ,this is to avoid unwanted reruns while UI elemnts are changed.

If id="some_id" is not mentioned for a component, it's events won'be be captured.

## 🎥 Demo

Check out the demo below to see the Material-UI components in action!

<img src="docs/assets/output.gif" alt="Demo of Material-UI Components" width="500"/>

Get started now and transform your Streamlit applications with beautiful Material-UI components!